Last Comment Bug 528900 - crash [@ _pushpopupsenabledstate() ]
: crash [@ _pushpopupsenabledstate() ]
Status: RESOLVED FIXED
: crash
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla1.9.3a2
Assigned To: Martin Stránský
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-16 04:31 PST by Martin Stránský
Modified: 2011-06-09 14:58 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
patch (1.22 KB, patch)
2009-11-16 04:31 PST, Martin Stránský
jst: review+
dveditz: approval1.9.2.2+
dveditz: approval1.9.1.9+
Details | Diff | Splinter Review
testcase (4.51 KB, application/x-gzip)
2010-03-23 02:02 PDT, Martin Stránský
no flags Details

Description Martin Stránský 2009-11-16 04:31:50 PST
Created attachment 412561 [details] [diff] [review]
patch

downstream bug - https://bugzilla.redhat.com/show_bug.cgi?id=537519

Broken plug-in can pass NULL npp instance to _pushpopupsenabledstate()/_pushpopupsenabledstate()
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2010-02-20 06:04:41 PST
http://hg.mozilla.org/mozilla-central/rev/00cef42f43bf
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) 2010-02-20 06:05:07 PST
Comment on attachment 412561 [details] [diff] [review]
patch

Worth taking on the stable branches?
Comment 3 Daniel Veditz [:dveditz] 2010-02-22 10:47:18 PST
Comment on attachment 412561 [details] [diff] [review]
patch

Approved for 1.9.1.9 and 1.9.2.2, a=dveditz for release-drivers
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2010-02-22 11:11:39 PST
I'll check this in myself later this week, but anyone wants to get to it first :-)
Comment 6 Al Billings [:abillings] 2010-03-22 14:51:44 PDT
Is there a way for QA to test or verify this fix, especially for 1.9.2?
Comment 7 timeless 2010-03-23 01:14:25 PDT
the original bug seems to have been using plugin wrapper. i think it'd be easier to change a test plugin to call:

NPN_pushpopupsenabledstate(NULL)

it should either crash or not crash.
Comment 8 Martin Stránský 2010-03-23 02:02:26 PDT
Created attachment 434194 [details]
testcase

A testcase. Build the plugin and copy it to plugin directory, restart browser and open bundled test.html page. Browser should not crash.

Note You need to log in before you can comment on or make changes to this bug.